Subject: Re: bug#22997: 25.0.50; reusing windows in pop-to-buffer while in completion-in-region-mode opens new frames

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 02 Dec 2020 13:37:02 +0100

[email-masked] (João Távora) writes:

> Emacs -Q and use just this customization
>
>   (setq display-buffer-base-action
>         `(display-buffer-reuse-window . ((inhibit-same-window . t))))
>
> Do something that enters completion-in-region-mode. While in that
> transient mode, invoke something that pops a buffer.
>
>   d i s p l a  M-x complete-symbol RET
>   M-x pop-to-buffer RET *Messages* RET
>
> A new frame is created even though pop-up-frames is nil. I believe the
> reason is that the *Completions* window is "soft-dedicated" in
> minibuffer.el.

I'm unable to reproduce this problem in Emacs 28, but I'm not sure I
understand the recipe -- surely Emacs doesn't pop up a new frame on
pop-to-buffer without further customisation?  So is there something
missing in the recipe, or has the bug just gone away over the years?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no